curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/apply' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"document": {},
"brand_patch": {},
"connectors": [
{}
],
"migration": {},
"expected_config_version": 1,
"change_note": "string",
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"version": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"snapshot": {},
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
},
"changed": true
}
Apply brand config
Config applied and a new version published (or changed: false when it was identical).
POST
/
v1
/
brands
/
{brand_id}
/
config
/
apply
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/apply' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"document": {},
"brand_patch": {},
"connectors": [
{}
],
"migration": {},
"expected_config_version": 1,
"change_note": "string",
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"version": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"snapshot": {},
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
},
"changed": true
}
Path parameters
string (uuid)
required
Request body
object
object
required
object
object[]
object
integer
string
number
Response
object
object
required
Brand record
Show brand
Show brand
string (uuid)
required
string (uuid)
required
string
required
string
required
string
required
string
required
integer
required
string
required
string
required
string
object
required
object
required
integer
required
string
required
string (date-time)
string (date-time)
required
string (date-time)
required
object[]
required
object
required
object
required
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Config applied and a new version published (or changed: false when it was identical). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/apply' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"document": {},
"brand_patch": {},
"connectors": [
{}
],
"migration": {},
"expected_config_version": 1,
"change_note": "string",
"min_golden_pass_rate": 7.5
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"validation": {
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": null,
"ok": null,
"message": null
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": []
}
},
"version": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"snapshot": {},
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
},
"changed": true
}
Last modified on August 31, 2026